Debian Bug report logs - #493308
ITP: libconfig-model-perl -- Perl Module to describe and edit configuration data

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nicolas Valcarcel <nvalcarcel@ubuntu.com>

Date: Fri, 1 Aug 2008 23:39:02 UTC

Owned by: Nicolas Valcarcel <nvalcarcel@ubuntu.com>

Severity: wishlist

Fixed in version libconfig-model-perl/0.633-1

Done: Dominique Dumont <dominique.dumont@hp.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#493308; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Valcarcel <nvalcarcel@ubuntu.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Valcarcel <nvalcarcel@ubuntu.com>
To: submit@bugs.debian.org
Subject: ITP: libconfig-model -- Perl Module to describe and edit configuration data
Date: Fri, 01 Aug 2008 19:36:37 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

--- Please fill out the fields below. ---

   Package name: libconfig-model
        Version: 0.624
Upstream Author: Dominique Dumont <dominique.dumont@hp.com>
            URL: http://search.cpan.org/dist/Config-Model/
        License: LGPL
    Description: Perl Module to describe and edit configuration data

Config::Model enables a project developer to provide an interactive
configuration editor (graphical, curses based or plain terminal) to
his users. For this he must:
- describe the structure and constraint of his project's configuration
- if the configuration data is not stored in INI file or in Perl data
  file, he must provide some code to read and write configuration from
  configuration files.

With the elements above, Config::Model will generate interactive
configuration editors (with integrated help and data validation).
These editors can be graphical (with Config::Model::TkUI), curses
based (with Config::Model::CursesUI) or based on ReadLine.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#493308; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Valcárcel <nvalcarcel@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 493308@bugs.debian.org (full text, mbox):

From: Nicolas Valcárcel <nvalcarcel@gmail.com>
To: 493308@bugs.debian.org
Cc: kees@debian.org
Subject: Re: Bug#493308: ITP: libconfig-model -- Perl Module to describe and edit configuration data
Date: Fri, 01 Aug 2008 19:55:36 -0400
[Message part 1 (text/plain, inline)]
Already packaged and uploaded to mentors [0] and looking for
sponsorship.

0.
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=libconfig-model-perl


On Fri, 2008-08-01 at 19:36 -0400, Nicolas Valcarcel wrote:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org
> 
> --- Please fill out the fields below. ---
> 
>    Package name: libconfig-model
>         Version: 0.624
> Upstream Author: Dominique Dumont <dominique.dumont@hp.com>
>             URL: http://search.cpan.org/dist/Config-Model/
>         License: LGPL
>     Description: Perl Module to describe and edit configuration data
> 
> Config::Model enables a project developer to provide an interactive
> configuration editor (graphical, curses based or plain terminal) to
> his users. For this he must:
> - describe the structure and constraint of his project's configuration
> - if the configuration data is not stored in INI file or in Perl data
>   file, he must provide some code to read and write configuration from
>   configuration files.
> 
> With the elements above, Config::Model will generate interactive
> configuration editors (with integrated help and data validation).
> These editors can be graphical (with Config::Model::TkUI), curses
> based (with Config::Model::CursesUI) or based on ReadLine.
-- 
aka nxvl
Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#493308; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 493308@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Nicolas Valcarcel <nvalcarcel@ubuntu.com>, 493308@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#493308: ITP: libconfig-model -- Perl Module to describe and edit configuration data
Date: Sat, 2 Aug 2008 01:57:58 +0200
[Message part 1 (text/plain, inline)]
On Fri, 01 Aug 2008 19:36:37 -0400, Nicolas Valcarcel wrote:

>    Package name: libconfig-model

The package should be named libconfig-model-perl; cf.
http://www.debian.org/doc/packaging-manuals/perl-policy/ch-module_packages.html

BTW:
Maybe you are interested in maintaining this package within the
Debian Perl Group?
http://wiki.debian.org/Teams/DebianPerlGroup has more informations.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian gnu/linux user, admin & developer - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Billy Joel: And So It Goes
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#493308; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Valcarcel <nvalcarcel@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 493308@bugs.debian.org (full text, mbox):

From: Nicolas Valcarcel <nvalcarcel@ubuntu.com>
To: gregor herrmann <gregoa@debian.org>
Cc: 493308@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#493308: ITP: libconfig-model-perl -- Perl Module to describe and edit configuration data
Date: Sat, 02 Aug 2008 00:17:31 -0400
[Message part 1 (text/plain, inline)]
The package (on mentors) is named libconfig-model-perl i just forgot to
put it on the subject, correcting now.

Yes, of course i'm interested in maintaining it on the Debian Perl
Group, there are more packages coming after this one, just need to have
this one first.

On Sat, 2008-08-02 at 01:57 +0200, gregor herrmann wrote:
> On Fri, 01 Aug 2008 19:36:37 -0400, Nicolas Valcarcel wrote:
> 
> >    Package name: libconfig-model
> 
> The package should be named libconfig-model-perl; cf.
> http://www.debian.org/doc/packaging-manuals/perl-policy/ch-module_packages.html
> 
> BTW:
> Maybe you are interested in maintaining this package within the
> Debian Perl Group?
> http://wiki.debian.org/Teams/DebianPerlGroup has more informations.
> 
> Cheers,
> gregor
> 
-- 
aka nxvl
Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#493308; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to dr@jones.dk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 493308@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: debian-perl@lists.debian.org
Cc: Nicolas Valcarcel <nvalcarcel@ubuntu.com>, 493308@bugs.debian.org
Subject: Re: Bug#493308: ITP: libconfig-model -- Perl Module to describe and edit configuration data
Date: Sat, 2 Aug 2008 08:46:07 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sat, Aug 02, 2008 at 01:57:58AM +0200, gregor herrmann wrote:
>On Fri, 01 Aug 2008 19:36:37 -0400, Nicolas Valcarcel wrote:
>
>>    Package name: libconfig-model
>
>The package should be named libconfig-model-perl; cf.
>http://www.debian.org/doc/packaging-manuals/perl-policy/ch-module_packages.html

Do policy govern name of _source_ package too?


  - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiUAq4ACgkQn7DbMsAkQLgw2ACdHgLTp1xocHPi3OmKQKy1dTJN
WhsAn0XIddpZ1VzMZIdNwZBQMTh7A+S5
=gWP8
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#493308; Package wnpp. Full text and rfc822 format available.

Message #28 received at 493308@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-perl@lists.debian.org, 493308@bugs.debian.org
Subject: Re: Bug#493308: ITP: libconfig-model -- Perl Module to describe and edit configuration data
Date: Sat, 2 Aug 2008 11:12:03 +0300
[Message part 1 (text/plain, inline)]
-=| Jonas Smedegaard, Sat, Aug 02, 2008 at 08:46:07AM +0200 |=-
> On Sat, Aug 02, 2008 at 01:57:58AM +0200, gregor herrmann wrote:
> >On Fri, 01 Aug 2008 19:36:37 -0400, Nicolas Valcarcel wrote:
> >
> >>    Package name: libconfig-model
> >
> >The package should be named libconfig-model-perl; cf.
> >http://www.debian.org/doc/packaging-manuals/perl-policy/ch-module_packages.html
> 
> Do policy govern name of _source_ package too?

I think, yes, unless there is a reason for the source package name to 
differ from the binary package name.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Nicolas Valcarcel <nvalcarcel@ubuntu.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 14 Nov 2008 01:21:19 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 02:51:06 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: libconfig-model-perl -- Perl Module to describe and edit configuration data' from `ITP: libconfig-model -- Perl Module to describe and edit configuration data'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 10 Jan 2009 04:48:02 GMT) Full text and rfc822 format available.

Reply sent to Dominique Dumont <dominique.dumont@hp.com>:
You have taken responsibility. (Tue, 13 Jan 2009 23:39:04 GMT) Full text and rfc822 format available.

Notification sent to Nicolas Valcarcel <nvalcarcel@ubuntu.com>:
Bug acknowledged by developer. (Tue, 13 Jan 2009 23:39:04 GMT) Full text and rfc822 format available.

Message #39 received at 493308-close@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dominique.dumont@hp.com>
To: 493308-close@bugs.debian.org
Subject: Bug#493308: fixed in libconfig-model-perl 0.633-1
Date: Tue, 13 Jan 2009 23:34:55 +0000
Source: libconfig-model-perl
Source-Version: 0.633-1

We believe that the bug you reported is fixed in the latest version of
libconfig-model-perl, which is due to be installed in the Debian FTP archive:

libconfig-model-perl_0.633-1.diff.gz
  to pool/main/libc/libconfig-model-perl/libconfig-model-perl_0.633-1.diff.gz
libconfig-model-perl_0.633-1.dsc
  to pool/main/libc/libconfig-model-perl/libconfig-model-perl_0.633-1.dsc
libconfig-model-perl_0.633-1_all.deb
  to pool/main/libc/libconfig-model-perl/libconfig-model-perl_0.633-1_all.deb
libconfig-model-perl_0.633.orig.tar.gz
  to pool/main/libc/libconfig-model-perl/libconfig-model-perl_0.633.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493308@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominique Dumont <dominique.dumont@hp.com> (supplier of updated libconfig-model-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 18 Dec 2008 13:43:38 +0100
Source: libconfig-model-perl
Binary: libconfig-model-perl
Architecture: source all
Version: 0.633-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Dominique Dumont <dominique.dumont@hp.com>
Description: 
 libconfig-model-perl - describe and edit configuration data
Closes: 493308
Changes: 
 libconfig-model-perl (0.633-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #493308)
Checksums-Sha1: 
 a11c260b7996d4be088b4992f4165f988acaed40 1602 libconfig-model-perl_0.633-1.dsc
 b4c227a73f727aa55d22cec69f5c8135aec93f13 166852 libconfig-model-perl_0.633.orig.tar.gz
 7a494414cc30e7fd37236b4033122da56f2f7248 1619 libconfig-model-perl_0.633-1.diff.gz
 53fa7ed42507496eadf76aff11d2324baa5d7fc2 225826 libconfig-model-perl_0.633-1_all.deb
Checksums-Sha256: 
 39802cfe5bc99631e8ef73ab873f995d8d30b572ee8607dd80e29c55edba87f7 1602 libconfig-model-perl_0.633-1.dsc
 7930a2b964dbabd4efab3c83a1d9cfaf9b4b3cec354824fa1626d653930c8e0c 166852 libconfig-model-perl_0.633.orig.tar.gz
 b08a31dcc14061a3cee74aee9ea325fa7d42975ae11a329d934ae9efb4a6fa67 1619 libconfig-model-perl_0.633-1.diff.gz
 94bf969acb6443afad7c74678e4653687289b7a8dbebf5c97f4553451f85f516 225826 libconfig-model-perl_0.633-1_all.deb
Files: 
 8e7ae8461a3fe429f65d153624c07009 1602 perl optional libconfig-model-perl_0.633-1.dsc
 624fa7918fea7c5c2c48280036d987b8 166852 perl optional libconfig-model-perl_0.633.orig.tar.gz
 14b0ea818ad9e1d466e44ef85bc28494 1619 perl optional libconfig-model-perl_0.633-1.diff.gz
 a1227db5dc4c60289be2b2120a93d7e9 225826 perl optional libconfig-model-perl_0.633-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklRWL8ACgkQOzKYnQDzz+Tz4wCg+oglpkH59uD0exM4UWWKzAQY
Fu0AoNFhMLN5RX/oxn/doJoEbYryoS4F
=9s2y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Feb 2009 07:26:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:09:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.